<script setup lang="ts">
import { useDetail } from "../config/detail";
import BasicDescriptions from "/@/components/BasicDescriptions";
import { detailProps } from "../types";
import { purchpayColumns } from "/@/utils/details/_purchase";

const props = defineProps(detailProps);
defineEmits(["map-offset-top"]);

const { data, code, defaultRef } = useDetail(props);
</script>

<template>
  <BasicDescriptions
    :show="code === '0'"
    ref="defaultRef"
    :data="data"
    :columns="purchpayColumns"
  />
</template>
